Page MenuHomePhabricator

FOUC when loading Flow's VisualEditor
Closed, ResolvedPublic1 Story Points

Description

The textarea jumps around while the Visual Editor is loading. Looks like it shrinks to zero height and then expands again to the final height. But this is annoying...

Details

Related Gerrit Patches:

Related Objects

Event Timeline

He7d3r created this task.Apr 6 2015, 6:59 PM
He7d3r raised the priority of this task from to Needs Triage.
He7d3r updated the task description. (Show Details)
He7d3r added a subscriber: He7d3r.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 6 2015, 6:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
EBernhardson triaged this task as Low priority.Apr 7 2015, 5:49 PM
EBernhardson added a subscriber: EBernhardson.

This seems to happen because resource handling in prod is so much faster than our development machines were. Can look into how to make this nicer with fast loads, but still provide a reasonable experience when resources load slower.

Change 385421 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/Flow@master] Cleanup use of min-height to prevent vertical height flicker

https://gerrit.wikimedia.org/r/385421

Change 385421 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Cleanup use of min-height to prevent vertical height flicker

https://gerrit.wikimedia.org/r/385421

Deskana closed this task as Resolved.Oct 23 2017, 9:42 AM
Deskana assigned this task to Esanders.
Deskana set the point value for this task to 1.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptOct 23 2017, 9:42 AM